Subject: Minor bug in ls - background colour does not stop

From: Kirin van der Veer <[email-masked]>
Date: Mon, 18 Aug 2014 12:11:48 +1000

As per the attached screenshot both Xterm and Gnome terminal display the
green background colour until the carriage return.
I have included steps below to reproduce the problem.
I will note that if you issue the "clear" command after changing the column
width of your xterm session the issue does not seem to appear.
This problem appears with ls from coreutils v8.21 (ubuntu)
and 8.12.197-032bb (debian).
I was using GNOME Terminal v3.6.2 and XTerm v297 on Ubuntu 14.04 to test.

*Steps to reproduce:*
$ touch file-with-a-name-long-enough-to-wrap-the-screen
$ mkdir .hidden-folder .other-hidden-folder
$ chmod 777 .hidden-folder .other-hidden-folder
$ ls -la
<manually change column width of terminal session to less than hidden
folder name>
$ ls -la

-- 

Kirin van der Veer
Giraffe Cloud Support
www.giraffecloudsupport.com